#include<bits/stdc++.h>

using namespace std;

int main(){
    int n,q;
    //n-broj glasova u sesiru q-brojevi koji treba da budu mediana
    cin>>n>>q;
  int a[n+1],b[q+1];
    //glasovi u sesiru
    for(int i=1;i<=n;i++)
        cin>>a[i];
    //glasovi koji treba da budu medijana
    for(int i=1;i<=q;i++)
        cin>>b[i];
int pom2=0;
int j=1;
    for(int i=1;i<=q;i++)
    {
        while(b[i]>a[j]  && j<n){
            j++;
            }
            if(j>=n || j==1)
                pom2=n;
            else
        pom2=abs((n/2+1)-j);
        cout<<pom2<<endl;
    }
return 0;
}